/*
m_jbso_get_count - Return the number of all JBSO object in existence

DESCRIPTION
Return the number of all JBSO object in existence. All objects should take
care of the global counter.

SYNTAX
kNumberOfObject m_jbso_get_count

INITIALIZATION

PERFORMANCE
kNumberOfObjects - Number of all JBSO currently in existence

CREDITS
Author: Jeanette C.
*/

opcode m_jbso_get_count, k, 0
	; Initialise the local counter
	kCount init 0

	; Check if the JBSO is valid
	if (chnget:k("JBSO.Global.Valid") == $JBSO_STAT_OK) then
		kCount = chnget:k("JBSO.Global.Count")
	else
		kCount = 0
	endif

	; Return the counter
	xout(kCount)
endop
