/*
m_jbso_get_version - Return the major and minor version number of JBSO

DESCRIPTION
Return the major and minor version numbers of the JBSO class system itself.

SYNTAX
iMajor, iMinor m_jbso_get_version

INITIALIZATION
iMajor - Major version number of JBSO, -1 if JBSO isn't running
iMinor - Minor version number of JBSO, -1, if JBSO isn't running

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_jbso_get_version, ii, 0
	; Initialise the return values
	iMajor init -1
	iMinor init -1

	; Check that JBSO is running
	if (chnget:i("JBSO.Global.Valid") == 1) then
		iMajor = chnget:i("JBSO.Global.VersionMajor")
		iMinor = chnget:i("JBSO.Global.VersionMinor")
	endif

	; Return the version numbers
	xout(iMajor, iMinor)

endop
