/*
m_jbsoc_get_status_string - Return the status string of an object

DESCRIPTION
Return the status string of an object.

SYNTAX
Sstatus m_jbsoc_get_status_string SclassName, Sname

INITIALIZATION

PERFORMANCE
Sstatus - Status message of the given object
SclassName - Name of the object's class/type
Sname - Name of the object

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_get_status_string, S, SS
	SclassName, Sname xin

	; Create the object's channel name
	Sobject = strcat(strcat(strcat("JBSO.", SclassName), "."), Sname)

	; Initialise the output string
	Sstatus init ""

	; Check if the object exists
	if (chnget:k(strcat(Sobject, ".Valid")) == $JBSO_STAT_OK) then
		Sstatus = chngetks(strcat(Sobject, ".StatusString"))
	endif

	; Return the status message
	xout(Sstatus)
endop
