/*
m_jbsoc_move_status - Retrieve the object's status code and reset it

DESCRIPTION
Retrieve the status code from the specified object and reset the code to
$JBSO_STAT_OK, only if the previous code was _NOT_ $JBSO_STAT_ERR .

SYNTAX
iStatus m_jbsoc_move_status SclassName, Sname

INITIALIZATION
iStatus - Status code from the given object
SclassName - Name of the class/type of the object
Sname - Name of the object

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_move_status, i, SS
	SclassName, Sname xin

	; Initialise return code
	iStatus init $JBSO_STAT_ERR

	; Create the object's channel name
	Sobject = strcat(strcat(strcat("JBSO.", SclassName), "."), Sname)

	; Check if the object exists
	if (chnget:i(strcat(Sobject, ".Valid")) == $JBSO_STAT_OK) then
		iStatus = chnget:i(strcat(Sobject, ".Status"))
		if (iStatus != $JBSO_STAT_ERR) then
			chnset($JBSO_STAT_OK, strcat(Sobject, ".Status"))
		endif
	endif

	; Return the status code
	xout(iStatus)
endop
