/*
m_jbsoc_move_status_string - Return the object's status message and reset it

DESCRIPTION
Return the object's status message. Reset the message if - and only if - the
object status code is _NOT_ $JBSO_STAT_ERR .

SYNTAX
Sstatus m_jbsoc_move_status_string SclassName, Sname

INITIALIZATION

PERFORMANCE
Sstatus - Status message of the given object
SclassName - Name of the object's class/type
Sname - Name of the object

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_move_status_string, S, SS
	SclassName, Sname xin

	; Create the object's channel name
	Sobject = strcat(strcat(strcat("JBSO.", SclassName), "."), Sname)

	; Initialise the output string
	Sstatus init ""
	kStatus init $JBSO_STAT_OK

	; Check if the object exists
	if (chnget:k(strcat(Sobject, ".Valid")) == $JBSO_STAT_OK) then
		Sstatus = chngetks(strcat(Sobject, ".StatusString"))
		kStatus = chnget:k(strcat(Sobject, ".Status"))
		if (kStatus != $JBSO_STAT_ERR) then
			chnset("", strcat(Sobject, ".StatusString"))
		endif
	endif

	; Return the status message
	xout(Sstatus)
endop
