/*
m_jbsoc_set_status - Set an object's status

DESCRIPTION
Set an object's status.

SYNTAX
kResult m_jbsoc_set_status SclassName, Sname, kStatus

INITIALIZATION

PERFORMANCE
kResult - $JBSO_STAT_OK on success, $JBSO_STAT_ERR when the object does not
	exist
SclassName - Name of the object's type
Sname - Name of the object
kStatus - Status to set (suggested values are the JBSO_STAT_* constants)

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_set_status, k, SSk
	SclassName, Sname, kStatus xin

	; Create object channel name
	Sobject = strcat(strcat(strcat("JBSO.", SclassName), "."), Sname)

	; Initialise return value
	kResult init $JBSO_STAT_ERR

	; Check if the object exists
	if (chnget:k(strcat(Sobject, ".Valid")) == $JBSO_STAT_OK) then
		chnset(kStatus, strcat(Sobject, ".Status"))
		kResult = $JBSO_STAT_OK
	endif

	; Return the result
	xout(kResult)
endop
